﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartDoubleLegendLabelCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 30; i++)
            {
                Data.Add(new SampleData()
                {
                    Date = DateTime.Today.AddDays(i),
                    Value1 = r.Next(1, 500),
                    Value2 = r.Next(500, 1000)
                });
            }
        }
    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public int Value1 { get; set; }
        public int Value2 { get; set; }
    }
}
